package ajax.xml;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import utils.PersonBL;
import utils.PersonBean;

public class XmlResponseServlet extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		Integer userID = Integer.parseInt(request.getParameter("userID"));
		//response.setHeader("Cache-Control", "no-cache");
		//response.setHeader("Pragma", "no-cache");
		PrintWriter out = response.getWriter();
		
		out.print("<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?> <person>");
		PersonBean personBean = PersonBL.getPersonMap().get(userID);
			out.print("<firstname>");
				out.print(personBean.getFirstName());
			out.print("</firstname>");
			out.print("<lastname>");
				out.print(personBean.getLastName());
			out.print("</lastname>");
			out.print("<age>");
				out.print(personBean.getAge());
			out.print("</age>");
			out.print("<hometown>");
				out.print(personBean.getHomeTown());
			out.print("</hometown>");
		out.print("</person>");
	}
}
